<?php
/*
	DevSaver Web Framework
	Copyright (c) 2013-2016 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com				
*/


class CContactWidgetContactForm extends CWidget {

	/**
	* description
	*
	* @var type
	*
	* @access type
	*/
	var $meta = array(
		"type"	=> "1",
		"name"	=> "Contact Form",
		"module"	=> array(
			"name"	=> "",
			"id"	=> "",
			"type"	=> "",
		)
	);


	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function Render($widget) {
		$this->module->__init();

		return $this->tpl->blockreplace(
			"Widget", 
			array(
				"title"	=> $widget["widget_name"],
				"form"	=> $this->module->Form($widget , true),
			),
			$widget,
			$widget["settings"],
			$widget["mod_settings"]
		);

	}
	
	

}


?>